%define api 1.0
%define major 0
%define libname %mklibname %{name} %{major}
%define girname %mklibname %{name}-gir %{api}
%define devname %mklibname %{name} -d

Summary:	D-Bus interfaces for querying and manipulating user account information
Name:		accountsservice
Version:	0.6.45
Release:	1
License:	GPLv3+
Group:		System/Libraries
Url:		http://www.fedoraproject.org/wiki/Features/UserAccountDialog
Source0:	http://www.freedesktop.org/software/accountsservice/%{name}-%{version}.tar.xz
# list this patch as a source for now to keep it around but skip it in apply_patches
Patch0:		accountsservice-0.6.43-filter-bin-true-login-shell-users-from-user-list.patch
# (blino) adapt to Mageia path of gdm's custom.conf, it is in /etc/X11/gdm instead of /etc/gdm
Patch1:		accountsservice-0.6.37-gdm-custom-conf-path.patch
Patch2:		accountsservice-0.6.40-exclude-apache-user.patch
# Sync default groups with userdrake
Patch3:		accountsservice-0.6.45-default-groups.patch
BuildRequires:	intltool
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(polkit-agent-1)
Requires:	polkit
Requires:	shadow-utils
Requires(post,preun,postun):	systemd-units
Obsoletes:	consolekit < 0.4.5-5

%description
The accountsservice project provides a set of D-Bus interfaces for
querying and manipulating user account information and an implementation
of these interfaces, based on the useradd, usermod and userdel commands.

%files -f accounts-service.lang
%doc README AUTHORS
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.Accounts.conf
%{_libexecdir}/accounts-daemon
%{_datadir}/dbus-1/interfaces/org.freedesktop.Accounts.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.Accounts.User.xml
%{_datadir}/dbus-1/system-services/org.freedesktop.Accounts.service
%{_datadir}/polkit-1/actions/org.freedesktop.accounts.policy
%dir %{_localstatedir}/lib/AccountsService/
%dir %{_localstatedir}/lib/AccountsService/users
%dir %{_localstatedir}/lib/AccountsService/icons
%{_unitdir}/accounts-daemon.service

%post
%systemd_post accounts-daemon.service

%preun
%systemd_preun accounts-daemon.service

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Client-side library to talk to accountservice
Group:		System/Libraries

%description -n %{libname}
This package contains the shared library for %{name}.

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/AccountsService-%{api}.typelib

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for accountsservice-libs
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	%{girname} = %{EVRD}

%description -n %{devname}
The accountsservice-devel package contains headers and other
files needed to build applications that use accountsservice-libs.

%files -n %{devname}
%{_includedir}/%{name}-1.0
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/AccountsService-%{api}.gir
%{_datadir}/gtk-doc/html/libaccountsservice

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static \
	--enable-systemd \
	--with-minimum-uid=500 \
	--enable-user-heuristics \
	--with-systemdsystemunitdir=%{_unitdir}
%make

%install
%makeinstall_std
%find_lang accounts-service


%changelog

* Wed Oct 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.6.45-1
- (e8d60de) New version 0.6.45
- (e8d60de) Sync default groups list with userdrake


